+Wed May 22 09:49:27 1996 Tom Tromey <tromey@creche.cygnus.com>
+
+ * automake.in (initialize_per_input): Don't initialize
+ $output_directory here; initialize it globally. From Joshua
+ Cowan. Test outdir.test.
+
Sat May 18 10:57:40 1996 Tom Tromey <tromey@creche.cygnus.com>
* automake.in (handle_tests): Don't push TESTS onto dist_common.
rm -rf $(distdir)
mkdir $(distdir)
chmod 777 $(distdir)
+ distdir=`cd $(distdir) && pwd` \
+ && cd $(srcdir) \
+ && automake --include-deps --output-dir=$$distdir --strictness=gnits
@for file in `cd $(srcdir) && echo $(DISTFILES)`; do \
test -f $(distdir)/$$file \
|| ln $(srcdir)/$$file $(distdir)/$$file 2> /dev/null \
Jerome Santini <santini@chambord.univ-orleans.fr>
Jim Meyering <meyering@na-net.ornl.gov>
Joerg-Martin Schwarz <jms@jms.prima.ruhr.de>
+Joshua Cowan <jcowan@jcowan.reslife.okstate.edu>
Karl Berry <kb@cs.umb.edu>
Mark Galassi <rosalia@nis.lanl.gov>
Markku Rossi <mtr@ngs.fi>
Priorities for release:
[ none ]
+should be able to determine what is built by looking at rules (and
+configure.in). Then built man pages (eg) could automatically be
+omitted from the distribution.
+
Consider using libfoo_SOURCES, etc, for libraries. From Gord
Matzigkeit. There is a patch.
# Line number at which AC_CONFIG_HEADER appears in configure.in.
$config_header_line = 0;
+# Directory where output files go. Actually, output files are
+# relative to this directory.
+$output_directory = '.';
+
# Relative location of top build directory.
$top_builddir = '';
# Eg for src/Makefile.in, this is "src".
$relative_dir = '';
- # Directory where output files go. Actually, output files are
- # relative to this directory.
- $output_directory = '.';
-
# This holds a list of files that are included in the
# distribution.
%dist_common = ();
+Wed May 22 09:45:52 1996 Tom Tromey <tromey@creche.cygnus.com>
+
+ * outdir.test: New file.
+
Sat May 18 10:51:37 1996 Tom Tromey <tromey@creche.cygnus.com>
* insh2.test: New file.
canon.test installsh.test empty.test rulepat.test insh.test canon2.test \
target.test extra.test noinst.test instman.test mkinstall.test auxdir.test \
canon3.test mdate2.test subdir.test backsl.test package.test number.test \
-insh2.test
+insh2.test outdir.test
EXTRA_DIST = defs $(TESTS)
canon.test installsh.test empty.test rulepat.test insh.test canon2.test \
target.test extra.test noinst.test instman.test mkinstall.test auxdir.test \
canon3.test mdate2.test subdir.test backsl.test package.test number.test \
-insh2.test
+insh2.test outdir.test
EXTRA_DIST = defs $(TESTS)
mkinstalldirs = $(top_srcdir)/mkinstalldirs
--- /dev/null
+#! /bin/sh
+
+# Test to ensure that --output-dir works. Bug report from Joshua
+# Cowan.
+
+. $srcdir/defs || exit 1
+
+cat > Makefile.am <<'END'
+pkgdata_DATA =
+END
+
+mkdir zardir
+
+$AUTOMAKE --output-dir=zardir || exit 1
+
+test -f Makefile.in && exit 1
+test -f zardir/Makefile.in